org.apache.lucene.codecs.bloom

## Class TestBloomFilteredLucene41Postings

- java.lang.Object
- - org.apache.lucene.codecs.PostingsFormat
  - - org.apache.lucene.codecs.bloom.TestBloomFilteredLucene41Postings

All Implemented Interfaces:
  NamedSPILoader.NamedSPI

    public final class TestBloomFilteredLucene41Postings
    extends PostingsFormat

A class used for testing `BloomFilteringPostingsFormat` with a concrete delegate (Lucene41). Creates a Bloom filter on ALL fields and with tiny amounts of memory reserved for the filter. DO NOT USE IN A PRODUCTION APPLICATION This is not a realistic application of Bloom Filters as they ordinarily are larger and operate on only primary key type fields.

### Field Summary

### Fields inherited from class org.apache.lucene.codecs.PostingsFormat

`EMPTY`

### Constructor Summary

Constructors
Constructor and Description
`TestBloomFilteredLucene41Postings()`

### Method Summary

Methods
`FieldsConsumer` `fieldsConsumer(SegmentWriteState state)`
`FieldsProducer` `fieldsProducer(SegmentReadState state)`

### Methods inherited from class org.apache.lucene.codecs.PostingsFormat

`availablePostingsFormats, forName, getName, reloadPostingsFormats, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TestBloomFilteredLucene41Postings

    public TestBloomFilteredLucene41Postings()

### Method Detail

#### fieldsConsumer

    public FieldsConsumer fieldsConsumer(SegmentWriteState state)
                                  throws IOException

Specified by:
  `fieldsConsumer` in class `PostingsFormat`
Throws:
  `IOException`

#### fieldsProducer

    public FieldsProducer fieldsProducer(SegmentReadState state)
                                  throws IOException

Specified by:
  `fieldsProducer` in class `PostingsFormat`
Throws:
  `IOException`